### Function

# Qmi MessageDmsSwiSetUsbCompositionInput new

since: 1.20

#### Declaration [src]

    QmiMessageDmsSwiSetUsbCompositionInput*
    qmi_message_dms_swi_set_usb_composition_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageDmsSwiSetUsbCompositionInput`.

Available since: 1.20

#### Return value

Type: `QmiMessageDmsSwiSetUsbCompositionInput`

The newly created `QmiMessageDmsSwiSetUsbCompositionInput`. The returned value should be freed with qmi_message_dms_swi_set_usb_composition_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.